CadXP: construction arc - CadXP

Aller au contenu

  • 2 Pages +
  • 1
  • 2
  • Vous ne pouvez pas commencer un sujet
  • Vous ne pouvez pas répondre à ce sujet

construction arc

#1 L'utilisateur est hors-ligne   harnoo 

  • ceinture verte
  • Groupe : Membres
  • Messages : 96
  • Inscrit(e) : 10-décembre 07

Posté 17 février 2021 - 12:03

Bonjour,

Comment je peux dessiner un arc dont l'origine est l'extrémité d'une droite (départ point tangent) et qui arrive tangent à une autre droite, comme sur l'image indiqué.

Merci.

Miniature(s) jointe(s)

  • Image attachée: Capture d’écran 2021-02-17 113455.png

0

#2 L'utilisateur est hors-ligne   PHILPHIL 

  • ceinture noire 2em dan
  • Groupe : Membres
  • Messages : 1 073
  • Inscrit(e) : 24-janvier 06
  • LocationNANTES

Posté 17 février 2021 - 12:42

Hello
Tu dessines :
- la bissectrice des deux lignes ( rouges )
une ligne perpendiculaire a ta ligne de base au point d'origine
- le centre de l'arc est au croisement des deux nouvelles lignes, commençant a ton point d'origine
a+, Phil
Autodesk Architecture 2019 sous windows 10 64
24 pouces vertical + 30 pouces horizontal + 27 pouces horizontal
0

#3 L'utilisateur est hors-ligne   harnoo 

  • ceinture verte
  • Groupe : Membres
  • Messages : 96
  • Inscrit(e) : 10-décembre 07

Posté 17 février 2021 - 13:39

Ok, merci Phil mais là on parle Autocad 2020, on n'est plus sur plan papier avec sa règle et son compas :D

Arnaud, utilisateur Microstation frustré.
0

#4 L'utilisateur est hors-ligne   lecrabe 

  • ceinture rouge et blanche 8em dan
  • Groupe : Moderateurs
  • Messages : 9 447
  • Inscrit(e) : 10-décembre 03
  • LocationLoire (42) Forez

Posté 17 février 2021 - 13:54

Hello

YES AutoCAD est "tres mauvais" sur ce genre de construction par rapport a MicroStation !

Gilles avait developpe un truc en Dotnet pour faire aussi bien que MicroStation sur des segments en mode Tangentielle !
Mais son Developpement ne gerait pas les Arcs & Cercles que gerent tres bien MicroStation dans cette situation ...

Voir le ZIP "ArcExtensionSetup" (Commande: ARCTAN) joint (Compatible 2013-2019) ...
Voir aussi la routine Lisp "Arc-TT-PT" jointe de Bonuscad ...

En espérant que cela puisse t aider ?!

MERCI à Gilles et Bruno !!

LA SANTE, Bye, lecrabe "fatigue"

PS: j ai supprime le "ArcExtensionSetup" (Commande: ARCTAN) de Gilles
Car Gilles fournit une version plus recente (compatible 2013-2021)
dans son message du jeudi 18/02/2021 a 11h02 ...

 
;; 
;; http://cadxp.com/topic/46483-creer-un-arc-tangent-a-deux-elements-et-qui-passe-par-un-point-donne/page__pid__271407
;; 
;; Routine: Arc-TT-PT par BV 
;; 
 
(vl-load-com) 

(defun C:Arc-TT-PT ( / p1 e1 t1 p2 e2 t2 px cx) 
  (setvar "cmdecho" 0) 

  (while (not e1)
        (initget 9)
        (setq p1 (getpoint "\n1er  point de tangence: "))
        (setq e1 (nentselp p1))
  )
  (setq t1 (osnap p1 "_near")) 

  (while (not e2)
        (initget 9)
        (setq p2 (getpoint "\n2eme point de tangence: "))
        (setq e2 (nentselp p2))
  )
  (setq t2 (osnap p2 "_near")) 

  (cond
        ((and t1 t2)
        (initget 9)
        (setq px (getpoint "\nPoint de passage oblige: "))
        (command "_.circle" "_3p" "_tan" t1 "_tan" t2 "_none" px)
        (setq cx (entlast))
        (setq t1
        (vlax-invoke
        (vlax-ename->vla-object cx)
        'IntersectWith
        (vlax-ename->vla-object (car e1))
        acextendotherentity
        )
        )
        (setq t2
        (vlax-invoke
        (vlax-ename->vla-object cx)
        'IntersectWith
        (vlax-ename->vla-object (car e2))
        acextendotherentity
        )
        )
        (entdel (entlast))
        (if (and t1 t2)
        (command "_.arc" "_none" (trans t1 0 1) "_none" px "_none" (trans t2 0 1))
        (princ "\n ! Pas de solution ! ")
        )
        )
  ) 

  (setvar "cmdecho" 1)
  (prin1)
) 

Autodesk Expert Elite Team
0

#5 L'utilisateur est hors-ligne   PHILPHIL 

  • ceinture noire 2em dan
  • Groupe : Membres
  • Messages : 1 073
  • Inscrit(e) : 24-janvier 06
  • LocationNANTES

Posté 17 février 2021 - 14:00

hello

mais heu tu fais quoi avec AutoCAD et MicroStation ???

tu dessines pas par hazard ???

a+, Phil
Autodesk Architecture 2019 sous windows 10 64
24 pouces vertical + 30 pouces horizontal + 27 pouces horizontal
0

#6 L'utilisateur est hors-ligne   harnoo 

  • ceinture verte
  • Groupe : Membres
  • Messages : 96
  • Inscrit(e) : 10-décembre 07

Posté 17 février 2021 - 14:45

Merci Lecrabe, mais je ne sais pas gérer les LISP et les fichiers MSI encore moins,
ce sera l'objet d'un prochain tuto pour ma pomme :blink:

Et Phil on vient de passer à la solution AutoCAD + Covadis au boulot alors je m'adapte.

Merci à vous, Arnaud.
0

#7 L'utilisateur est hors-ligne   lecrabe 

  • ceinture rouge et blanche 8em dan
  • Groupe : Moderateurs
  • Messages : 9 447
  • Inscrit(e) : 10-décembre 03
  • LocationLoire (42) Forez

Posté 17 février 2021 - 15:08

Hello

Tu peux déjà essayer le Lisp inclus dans mon message...

Tu fais un copier / coller du Code Lisp dans le NOTEPAD.exe
Puis un "Enregistrer sous" avec le nom "ARC-TT-PT.lsp" qq part sur ton DD ...

Pour charger un Lisp puis executer CE Lisp :

Commande au clavier:
APPLOAD Entrée
Aller chercher le Lisp, charger, fermer

Commande au clavier:
ARC-TT-PT Entrée

La Santé, Bye, lecrabe "fatigué"
Autodesk Expert Elite Team
0

#8 L'utilisateur est hors-ligne   Aleck Ultimate 

  • ceinture noire 2em dan
  • Groupe : Membres
  • Messages : 1 267
  • Inscrit(e) : 18-novembre 16
  • LocationAlpes de Hautes Provences (04)

Posté 17 février 2021 - 15:49

Sur AutoCAD y'a rien de plus simple que de tracer une perpendiculaire avec la bonne accroch-objet activée
puis de déplacer la ligne parallèle pour que son extrémité soit au bonne endroit,
et il est aussi très facile de prolonger des lignes et de tracer trois cercles de même diamètre pour trouver les points de la bissectrice.
Membre d'Extinction Rebellion, car pour sauver le monde il n'est jamais trop tard, amour et rage !

Pour écrire un vraie point médian (e·x·e·m·p·l·e) [Alt + 0183] ou ajout d'un raccourci clavier personnalisé (ex. [AltGr + ;])

Utilisateur d'AutoCAD 2018 sous Windows 10
0

#9 L'utilisateur est hors-ligne   zebulon_ 

  • ceinture noire 2em dan
  • Groupe : Membres
  • Messages : 1 445
  • Inscrit(e) : 02-mai 03
  • LocationSchnersheim

Posté 18 février 2021 - 01:19

Bonjour
On trace le premier segment avec la commande ligne. Directement après on lance la commande arc.
Celle-ci demande un premier point, mais au lieu de donner un point, on tape entrée ou barre d'espace.
En conséquence, l'arc débute au bout du segment droit fait précédemment et il est tangent.
Il suffit de donner le point d'arrivée de cet arc qu'un accrochage aux objets peut rendre tangent à un segment droit existant.
Amicalement, Vincent
C'est au pied du mur que l'on reconnaît le maçon ! (Anonyme) C’est en restant au pied du mur qu’on ne voit que le mur (Anonyme aussi)
0

#10 L'utilisateur est hors-ligne   zebulon_ 

  • ceinture noire 2em dan
  • Groupe : Membres
  • Messages : 1 445
  • Inscrit(e) : 02-mai 03
  • LocationSchnersheim

Posté 18 février 2021 - 08:54

Et, pour mémoire, ça marche aussi dans l'autre sens. Si on fait un arc par 3 points qui est suivi directement par une commande ligne pour laquelle on appuie sur entrée ou barre d'espace à l'invité de la saisie du premier point, on obtient un segment qui débute à l'extrémité de l'arc et tangent. Le deuxième point de la commande ligne ne servira qu'à définir la longueur du segment.
Amicalement, Vincent
C'est au pied du mur que l'on reconnaît le maçon ! (Anonyme) C’est en restant au pied du mur qu’on ne voit que le mur (Anonyme aussi)
0

#11 L'utilisateur est hors-ligne   harnoo 

  • ceinture verte
  • Groupe : Membres
  • Messages : 96
  • Inscrit(e) : 10-décembre 07

Posté 18 février 2021 - 09:00

Merci lecrabe, je vais m’initier aux Lisp selon tes conseils.

Pour Phil et Aleck, je pense qu'Autocad devrait faciliter la construction du dessin. A titre de comparaison sur Microstation, pour exécuter l'opération, à partir de mes deux droites je sélectionne Arc avec accroche Point tangent à l'extrémité de la 1ere droite et j'accroche à Point tangent sur la droite d'arrivée, et Hop !

Pour Zebulon, merci pour ce conseil qui épargne pas mal de construction pour arriver au résultat mais par contre je n'arrive pas à accrocher tangent au segment droit d'arrivée.

Merci à vous tous pour votre contribution, Arnaud.
0

#12 L'utilisateur est hors-ligne   lecrabe 

  • ceinture rouge et blanche 8em dan
  • Groupe : Moderateurs
  • Messages : 9 447
  • Inscrit(e) : 10-décembre 03
  • LocationLoire (42) Forez

Posté 18 février 2021 - 10:05

Hello

Desole mais je pense que le developemment Dotnet de Gilles (ArcExtensionSetup - Commande: ARCTAN)
( En plus la routine Dotnet de Gilles est prevue pour seulement les versions 2013-2019 )
et la routine Lisp (Routine "Arc-TT-PT") de Bonuscad, ne conviendront pas !

Car en fait elles demandent 2 points de tangence (ou 2 segments pour ARCTAN) et UN point de passage "oblige" !
Et toi, tu desires en fait dessiner simplement un arc tangent aux 2 segments et passant par l extremite des segments ...

Donc tu suis les bons conseils geometriques des messages precedents ...

LA SANTE, Bye, lecrabe "fatigue"
Autodesk Expert Elite Team
0

#13 L'utilisateur est hors-ligne   (gile) 

  • ceinture rouge et blanche 8em dan
  • Groupe : Moderateurs
  • Messages : 11 451
  • Inscrit(e) : 02-septembre 05

Posté 18 février 2021 - 11:02

Salut,

ARCTAN fait très bien ce qui est demandé (CF ce screencast) et le lien a été mis à jour pour une version compatible 2013-2021 (désinstaller l'ancienne version avant d'installer la nouvelle).
Gilles Chanteau - gileCAD -
Développements sur mesure pour AutoCAD
Image IPB
0

#14 L'utilisateur est hors-ligne   lecrabe 

  • ceinture rouge et blanche 8em dan
  • Groupe : Moderateurs
  • Messages : 9 447
  • Inscrit(e) : 10-décembre 03
  • LocationLoire (42) Forez

Posté 18 février 2021 - 11:07

Hello Gilles

MERCI donc je ne sais pas (ou plus) utilise ARCTAN ! ... Que j ai teste sur 2019-2018 ...

Et donc en regardant ta Video, je m'apercois que je suis NUL NUL !!

TOUJOURS regarder l ecran texte et ses options eventuelles !!! ... Magnifique l option S !!!!

Encore MERCI, La Sante, Bye, lecrabe "fatigue"

---- Pour Mr harnoo ---- Comment installer la routine Dotnet de Gilles
https://gilecad.azur...ensionSetup.msi
(ArcExtensionSetup - Commande: ARCTAN)
CLIC sur le fichier ArcExtensionSetup.msi
Bouton droit - Installer
Ainsi ARCTAN sera installe sur TOUS tes AutoCADs 2013-2021 ...
Au lancement d'AutoCAD 20XX, tu auras une question de "securite"
Et bien sur tu accepteras le chargement de ARCTAN ...
SVP ne pas oublier de "jouer" avec l option S !!
---- SVP tu nous diras si cela te convient !?
Autodesk Expert Elite Team
0

#15 L'utilisateur est hors-ligne   lecrabe 

  • ceinture rouge et blanche 8em dan
  • Groupe : Moderateurs
  • Messages : 9 447
  • Inscrit(e) : 10-décembre 03
  • LocationLoire (42) Forez

Posté 18 février 2021 - 14:54

Hello

MERCI Gilles je confirme le BON fonctionnement de ARCTAN (nouvelle version) sur TOUS les AutoCAD 202X !

https://gilecad.azur...ensionSetup.msi

LA SANTE, Bye, lecrabe "fatigue"
Autodesk Expert Elite Team
0

#16 L'utilisateur est hors-ligne   harnoo 

  • ceinture verte
  • Groupe : Membres
  • Messages : 96
  • Inscrit(e) : 10-décembre 07

Posté 19 février 2021 - 08:55

Bonjour,

MERCI à vous, c'est parfait !

J'ai à faire à des Pros je vois, du coup ça me donne envie de vous mettre au défi :)

Si je pouvais entrer le rayon de l'arc de cercle alors là ...

Bonne journée.

Arnaud.
0

#17 L'utilisateur est hors-ligne   (gile) 

  • ceinture rouge et blanche 8em dan
  • Groupe : Moderateurs
  • Messages : 11 451
  • Inscrit(e) : 02-septembre 05

Posté 19 février 2021 - 11:18

Voir le messageharnoo, le 19 février 2021 - 08:55 , dit :

Si je pouvais entrer le rayon de l'arc de cercle alors là ...

Si le rayon est imposé, on ne peut pas conserver les trois autres contraintes (les deux tangences et le point sur la ligne).
S'il ne faut conserver que les tangences aux deux lignes, la commande RACCORD (_FILLET) fait ce que tu demandes.
Gilles Chanteau - gileCAD -
Développements sur mesure pour AutoCAD
Image IPB
0

#18 L'utilisateur est hors-ligne   lecrabe 

  • ceinture rouge et blanche 8em dan
  • Groupe : Moderateurs
  • Messages : 9 447
  • Inscrit(e) : 10-décembre 03
  • LocationLoire (42) Forez

Posté 19 février 2021 - 11:34

Hello

+1 avec Le Super Pro Gilles !

LA SANTE, Bye, lecrabe "fatigue"
Autodesk Expert Elite Team
0

#19 L'utilisateur est hors-ligne   harnoo 

  • ceinture verte
  • Groupe : Membres
  • Messages : 96
  • Inscrit(e) : 10-décembre 07

Posté 19 février 2021 - 15:49

En effet :mellow: trop de contrainte, ce n'est jamais bon.

Et dans la foulée j'imaginais un autre cas en fait:

Tracer un arc tangent à l'extrémité d'un segment avec un rayon donné, désolé.

Avec RACCORD, je n'arrive pas à prendre l'extrémité du segment de départ comme origine.

Merci.
0

#20 L'utilisateur est hors-ligne   lecrabe 

  • ceinture rouge et blanche 8em dan
  • Groupe : Moderateurs
  • Messages : 9 447
  • Inscrit(e) : 10-décembre 03
  • LocationLoire (42) Forez

Posté 19 février 2021 - 16:59

Hello

Sur la commande RACCORD (_FILLET), il faut faire l option R (Rayon / Radius)
et donner un "bon" rayon possible geometriquement !
Puis eventuellement "jouer" avec l option Ajuster / Non-Ajuster (Trim / No-Trim)
Puis Clic sur fin du segment 1
Puis Clic sur fin du segment 2
Et a priori pour moi, c OK !?

LA SANTE, Bye, lecrabe "fatigue"
Autodesk Expert Elite Team
0

Partager ce sujet :


  • 2 Pages +
  • 1
  • 2
  • Vous ne pouvez pas commencer un sujet
  • Vous ne pouvez pas répondre à ce sujet

1 utilisateur(s) en train de lire ce sujet
0 membre(s), 1 invité(s), 0 utilisateur(s) anonyme(s)